<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: block_tridiagonal_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">block_tridiagonal_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal.html">block_tridiagonal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__periodic__serial.html">block_tridiagonal_periodic_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__serial.html">block_tridiagonal_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a47a93fd632212a1559bd7c864ac712f8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8">block_tridiagonal_vs</a> (a, b, c, r, n, lot, dir, s1i, s2i, sd)</td></tr>
<tr class="separator:a47a93fd632212a1559bd7c864ac712f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99bf57ca775806e7eba043ad6be71d72"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72">block_tridiagonal_periodic_serial_vs</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a99bf57ca775806e7eba043ad6be71d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab941c7fef888b52d52f80f53a67da6ca"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca">block_tridiagonal_serial_vs</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:ab941c7fef888b52d52f80f53a67da6ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae680bad571130136cf42a6296745f935"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#ae680bad571130136cf42a6296745f935">block_tridiagonal_periodic_serial_vso</a> (a, b, c, r, n, lot, at, bt)</td></tr>
<tr class="separator:ae680bad571130136cf42a6296745f935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ab759f97f9486c6200208c3bd79aae"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a60ab759f97f9486c6200208c3bd79aae">block_tridiagonal_serial_vso</a> (a, b, c, r, n, lot, at, bt)</td></tr>
<tr class="separator:a60ab759f97f9486c6200208c3bd79aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3077b32065f859e21c80d8f3a091f6d0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0">block_tridiagonal_periodic_serial_vv</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a3077b32065f859e21c80d8f3a091f6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b430624855080ff267cf56b714fe64"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a67b430624855080ff267cf56b714fe64">block_tridiagonal_serial_vv</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a67b430624855080ff267cf56b714fe64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a99bf57ca775806e7eba043ad6be71d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99bf57ca775806e7eba043ad6be71d72">&#9670;&nbsp;</a></span>block_tridiagonal_periodic_serial_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public block_tridiagonal_m::block_tridiagonal_periodic_serial_vs </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceblock__tridiagonal__m_a99bf57ca775806e7eba043ad6be71d72_icgraph.png" border="0" usemap="#namespaceblock__tridiagonal__m_a99bf57ca775806e7eba043ad6be71d72_icgraph" alt=""/></div>
<map name="namespaceblock__tridiagonal__m_a99bf57ca775806e7eba043ad6be71d72_icgraph" id="namespaceblock__tridiagonal__m_a99bf57ca775806e7eba043ad6be71d72_icgraph">
<area shape="rect" id="node2" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="606,105,754,146"/>
<area shape="rect" id="node16" href="block__tridiagonal__m_8f90.html#a466488e7ecab71ae68df7d8f255e1a66" title="i_block_tridiagonal\l_periodic_serial_vs" alt="" coords="191,166,324,207"/>
<area shape="rect" id="node3" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="867,163,968,189"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="867,213,968,240"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="867,112,968,139"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="879,61,956,88"/>
<area shape="rect" id="node14" href="test__bmatrix_8f90.html#ae000855d4cb1e72082717efaf0b1778b" title="solve_block_matrix_tri" alt="" coords="841,7,993,33"/>
<area shape="rect" id="node4" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="1099,188,1215,215"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="1312,181,1488,222"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="1553,173,1721,229"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="1061,57,1252,98"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="1300,57,1500,98"/>
<area shape="rect" id="node12" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="1548,17,1727,58"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="1561,82,1713,123"/>
<area shape="rect" id="node15" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="1124,5,1189,32"/>
<area shape="rect" id="node17" href="namespaceblock__pentadiagonal__m.html#a81b86cd61a47d1eda056e526698717c4" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vs" alt="" coords="372,163,539,219"/>
<area shape="rect" id="node18" href="interfaceblock__pentadiagonal__m_1_1i__block__tridiagonal__periodic__serial__v.html#a5b10a1e00e711272f3d23b1db4da27d1" title="block_pentadiagonal\l_m::i_block_tridiagonal\l_periodic_serial_v::i_block\l_tridiagonal_periodic_serial_v" alt="" coords="821,265,1013,335"/>
<area shape="rect" id="node19" href="namespaceblock__pentadiagonal__m.html#aa8286a7f1716f038368a07fc7861d7b3" title="block_pentadiagonal\l_m::block_pentadiagonal_vs" alt="" coords="587,170,773,211"/>
</map>
</div>

</div>
</div>
<a id="ae680bad571130136cf42a6296745f935"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae680bad571130136cf42a6296745f935">&#9670;&nbsp;</a></span>block_tridiagonal_periodic_serial_vso()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine block_tridiagonal_m::block_tridiagonal_periodic_serial_vso </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n), intent(inout)&#160;</td>
          <td class="paramname"><em>at</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n), intent(inout)&#160;</td>
          <td class="paramname"><em>bt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3077b32065f859e21c80d8f3a091f6d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3077b32065f859e21c80d8f3a091f6d0">&#9670;&nbsp;</a></span>block_tridiagonal_periodic_serial_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public block_tridiagonal_m::block_tridiagonal_periodic_serial_vv </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceblock__tridiagonal__m_a3077b32065f859e21c80d8f3a091f6d0_icgraph.png" border="0" usemap="#namespaceblock__tridiagonal__m_a3077b32065f859e21c80d8f3a091f6d0_icgraph" alt=""/></div>
<map name="namespaceblock__tridiagonal__m_a3077b32065f859e21c80d8f3a091f6d0_icgraph" id="namespaceblock__tridiagonal__m_a3077b32065f859e21c80d8f3a091f6d0_icgraph">
<area shape="rect" id="node2" href="block__tridiagonal__m_8f90.html#a1c9d79965331f09de7f6926ae1ef27b0" title="i_block_tridiagonal\l_periodic_serial_vv" alt="" coords="191,60,324,101"/>
<area shape="rect" id="node3" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="372,53,539,109"/>
<area shape="rect" id="node4" href="interfaceblock__pentadiagonal__m_1_1i__block__tridiagonal__periodic__serial__v.html#a5b10a1e00e711272f3d23b1db4da27d1" title="block_pentadiagonal\l_m::i_block_tridiagonal\l_periodic_serial_v::i_block\l_tridiagonal_periodic_serial_v" alt="" coords="587,5,779,76"/>
<area shape="rect" id="node5" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="609,100,757,141"/>
<area shape="rect" id="node6" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="852,6,953,33"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="852,57,953,83"/>
<area shape="rect" id="node11" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="852,107,953,134"/>
<area shape="rect" id="node12" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="864,158,941,185"/>
<area shape="rect" id="node17" href="test__bmatrix_8f90.html#ae000855d4cb1e72082717efaf0b1778b" title="solve_block_matrix_tri" alt="" coords="827,210,979,237"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="1064,31,1180,58"/>
<area shape="rect" id="node8" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="1277,24,1453,65"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="1519,17,1687,73"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="1027,147,1217,188"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="1265,147,1465,188"/>
<area shape="rect" id="node15" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="1513,109,1692,151"/>
<area shape="rect" id="node16" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="1527,175,1679,216"/>
<area shape="rect" id="node18" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="1089,213,1155,239"/>
</map>
</div>

</div>
</div>
<a id="ab941c7fef888b52d52f80f53a67da6ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab941c7fef888b52d52f80f53a67da6ca">&#9670;&nbsp;</a></span>block_tridiagonal_serial_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public block_tridiagonal_m::block_tridiagonal_serial_vs </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceblock__tridiagonal__m_ab941c7fef888b52d52f80f53a67da6ca_icgraph.png" border="0" usemap="#namespaceblock__tridiagonal__m_ab941c7fef888b52d52f80f53a67da6ca_icgraph" alt=""/></div>
<map name="namespaceblock__tridiagonal__m_ab941c7fef888b52d52f80f53a67da6ca_icgraph" id="namespaceblock__tridiagonal__m_ab941c7fef888b52d52f80f53a67da6ca_icgraph">
<area shape="rect" id="node2" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="191,121,339,162"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="424,208,501,235"/>
<area shape="rect" id="node16" href="cfd__hybrid__solver__implicit_8f90.html#a2e0c27b54f44ce02003e09b5aa4c8654" title="line_bsolve_serial_x" alt="" coords="195,335,334,361"/>
<area shape="rect" id="node20" href="cfd__hybrid__solver__implicit_8f90.html#a918e6759fc23ccf7c94c1300a97990c2" title="line_bsolve_serial_y" alt="" coords="195,436,334,463"/>
<area shape="rect" id="node23" href="cfd__hybrid__solver__implicit_8f90.html#abc041eda05ca2981ed395fdc3df795c7" title="line_bsolve_serial_z" alt="" coords="195,259,334,285"/>
<area shape="rect" id="node3" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="412,107,513,133"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="412,5,513,32"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="412,56,513,83"/>
<area shape="rect" id="node14" href="test__bmatrix_8f90.html#ae000855d4cb1e72082717efaf0b1778b" title="solve_block_matrix_tri" alt="" coords="387,157,539,184"/>
<area shape="rect" id="node4" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="624,56,740,83"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="837,49,1013,90"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="1079,41,1247,97"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="587,327,777,369"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="825,327,1025,369"/>
<area shape="rect" id="node12" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="1073,359,1252,401"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="1087,294,1239,335"/>
<area shape="rect" id="node15" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="649,157,715,184"/>
<area shape="rect" id="node17" href="cfd__hybrid__solver__implicit_8f90.html#aaf9c8eba033703e357e5a1ed39e0dab2" title="solver_gs_serial_orig" alt="" coords="391,411,535,437"/>
<area shape="rect" id="node18" href="cfd__hybrid__solver__implicit_8f90.html#affde5b65261c64a760751d39526b3fb4" title="solve_line_x" alt="" coords="415,309,510,336"/>
<area shape="rect" id="node19" href="cfd__hybrid__solver__implicit_8f90.html#ad817b72e81de173ef7827c34c56863ae" title="gs_line_x" alt="" coords="424,360,501,387"/>
<area shape="rect" id="node21" href="cfd__hybrid__solver__implicit_8f90.html#a39086407b06925b1e730666577958f19" title="solve_line_y" alt="" coords="415,512,510,539"/>
<area shape="rect" id="node22" href="cfd__hybrid__solver__implicit_8f90.html#ad2c743506d005cdc17adadae5d47eff5" title="gs_line_y" alt="" coords="424,461,501,488"/>
<area shape="rect" id="node24" href="cfd__hybrid__solver__implicit_8f90.html#aa91da7e13abe6d27440e776c699cf674" title="solve_line_z" alt="" coords="415,259,510,285"/>
</map>
</div>

</div>
</div>
<a id="a60ab759f97f9486c6200208c3bd79aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60ab759f97f9486c6200208c3bd79aae">&#9670;&nbsp;</a></span>block_tridiagonal_serial_vso()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine block_tridiagonal_m::block_tridiagonal_serial_vso </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(in)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n), intent(inout)&#160;</td>
          <td class="paramname"><em>at</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n), intent(inout)&#160;</td>
          <td class="paramname"><em>bt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a67b430624855080ff267cf56b714fe64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67b430624855080ff267cf56b714fe64">&#9670;&nbsp;</a></span>block_tridiagonal_serial_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public block_tridiagonal_m::block_tridiagonal_serial_vv </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47a93fd632212a1559bd7c864ac712f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47a93fd632212a1559bd7c864ac712f8">&#9670;&nbsp;</a></span>block_tridiagonal_vs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public block_tridiagonal_m::block_tridiagonal_vs </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), target&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), target&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), target&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,1), target&#160;</td>
          <td class="paramname"><em>s1i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,1), target&#160;</td>
          <td class="paramname"><em>s2i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff">block_pentadiagonal_m::block_pentadiagonal_periodic_serial_vv()</a>, <a class="el" href="namespaceblock__pentadiagonal__m.html#a78b8db770ad28fe54e5fdfbe76b54df6">block_pentadiagonal_m::block_pentadiagonal_serial_vv()</a>, <a class="el" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72">block_tridiagonal_periodic_serial_vs()</a>, <a class="el" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca">block_tridiagonal_serial_vs()</a>, <a class="el" href="namespacefixed__matrix__vector__m.html#a26c886abcd72262900b47127a3ead728">fixed_matrix_vector_m::mpi_type_fmatrix</a>, and <a class="el" href="namespacefixed__matrix__vector__m.html#a06b5a98461a1a14ee871601b1b1974d8">fixed_matrix_vector_m::mpi_type_fvector</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_cgraph.png" border="0" usemap="#namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_cgraph" alt=""/></div>
<map name="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_cgraph" id="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_cgraph">
<area shape="rect" id="node2" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="201,5,368,61"/>
<area shape="rect" id="node5" href="namespaceblock__pentadiagonal__m.html#a78b8db770ad28fe54e5fdfbe76b54df6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vv" alt="" coords="201,85,368,141"/>
<area shape="rect" id="node6" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vs" alt="" coords="216,165,353,221"/>
<area shape="rect" id="node7" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca" title="block_tridiagonal_m\l::block_tridiagonal\l_serial_vs" alt="" coords="216,245,353,301"/>
<area shape="rect" id="node3" href="block__tridiagonal__m_8f90.html#a1c9d79965331f09de7f6926ae1ef27b0" title="i_block_tridiagonal\l_periodic_serial_vv" alt="" coords="416,13,549,54"/>
<area shape="rect" id="node4" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vv" alt="" coords="597,5,735,61"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_icgraph.png" border="0" usemap="#namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_icgraph" alt=""/></div>
<map name="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_icgraph" id="namespaceblock__tridiagonal__m_a47a93fd632212a1559bd7c864ac712f8_icgraph">
<area shape="rect" id="node2" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="227,5,328,32"/>
<area shape="rect" id="node6" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="227,56,328,83"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="227,107,328,133"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="239,157,316,184"/>
<area shape="rect" id="node13" href="test__bmatrix_8f90.html#ae000855d4cb1e72082717efaf0b1778b" title="solve_block_matrix_tri" alt="" coords="201,209,353,236"/>
<area shape="rect" id="node3" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="439,31,555,57"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="652,23,828,65"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="893,16,1061,72"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="401,146,592,187"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="640,146,840,187"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="888,109,1067,150"/>
<area shape="rect" id="node12" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="901,174,1053,215"/>
<area shape="rect" id="node14" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="464,212,529,239"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
